//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2015 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionUpdateType.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief An update context provides additional detail associated with a content update.
 
 @see PTDiffusionTopicsFeature

 @since 5.6
 */
@interface PTDiffusionUpdateContext : NSObject

-(instancetype)init NS_UNAVAILABLE;

/**
 The type of update.

 @since 5.6
 */
@property(nonatomic, readonly) PTDiffusionUpdateType updateType;

/**
 Compares the receiver to the given update context.

 @param updateContext The update context object with which to compare the receiver.

 @return `YES` if the update context is equal to the receiver, otherwise `NO`.

 @since 5.6
 */
-(BOOL)isEqualToUpdateContext:(nullable PTDiffusionUpdateContext*)updateContext;

@end

NS_ASSUME_NONNULL_END
